org.apache.hc.client5.http.impl.async

## Class HttpAsyncClientEventHandlerFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.HttpAsyncClientEventHandlerFactory

All Implemented Interfaces:
  org.apache.hc.core5.reactor.IOEventHandlerFactory

    @Contract(threading=IMMUTABLE)
    public class HttpAsyncClientEventHandlerFactory
    extends Object
    implements org.apache.hc.core5.reactor.IOEventHandlerFactory

Since:
  5.0

### Method Summary

Methods
`org.apache.hc.core5.reactor.IOEventHandler` `createHandler(org.apache.hc.core5.reactor.TlsCapableIOSession ioSession, Object attachment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createHandler

    public org.apache.hc.core5.reactor.IOEventHandler createHandler(org.apache.hc.core5.reactor.TlsCapableIOSession ioSession,
                                                           Object attachment)

Specified by:
  `createHandler` in interface `org.apache.hc.core5.reactor.IOEventHandlerFactory`